SCIDYNE Corporation   <https://scidyne.com>

Copyright (c) 2022, SCIDYNE Corporation  <info@scidyne.com>
All rights reserved.

SCIDYNE_DIO24ARD Library software routine descriptions.  Please see DIO24-ARD
product manual, library source code, and accompanying examples for additional information.

===========================================================================
void setup ( uint16_t pinNumber, uint8_t portA_DDR, uint8_t portB_DDR, uint8_t portC_DDR )

Call once to initialize software and hardware.
pinNumber = Arduino digital I/O pin used exclusively to select DIO24-ARD on SPI bus
PortA_DDR = Sets Data Direction for portA, channels 7:0. 8-bits, any bit set to "1" will be output, any bit set to "0" will be input-only
PortB_DDR = Sets Data Direction for portB, channels 15:8. 8-bits, any bit set to "1" will be output, any bit set to "0" will be input-only
PortC_DDR = Sets Data Direction for portC, channels 23:16. 8-bits, any bit set to "1" will be output, any bit set to "0" will be input-only

===========================================================================
void writeDDR ( uint8_t DDR_to_Write, uint8_t DDR_value )

Write the Data Direction of the designated port
DDR_to_Write: PortA_DDR = 0,  PortB_DDR = 1,  PortC_DDR = 2
DDR_value: 8-bits, any bit set to "1" will be output, any bit set to "0" will be input-only

===========================================================================
uint8_t readDDR ( uint8_t DDR_to_Read )

Returns 8-bit Data Direction value of the designated port
DDR_to_Read: PortA_DDR = 0,  PortB_DDR = 1,  PortC_DDR = 2
Bits set to "1" are outputs, bits set to "0" are input-only

===========================================================================
void bitSet ( uint8_t bitNumber )

Set a digital bit. Corresponding DDR bit must be "1" otherwise "0" will be written
Call with bitNumber, valid range is 0 - 23
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel

===========================================================================
void bitClr ( uint8_t bitNumber )
Clear a digital bit.  Corresponding DDR bit must be "1"
Call with bitNumber, valid range is 0 - 23
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel

===========================================================================
void bitSetClr ( uint8_t bitNumber, bool state )

Set or Clear a digital bit. Corresponding DDR bit must be "1" otherwise "0" will be written
Call with bitNumber, valid range is 0 - 23 and desired state, "1" to Set or "0" to Clear
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel

===========================================================================
bool readBit ( uint8_t bitNumber )

Read a digital bit
Call with bitNumber, valid range is 0 - 23.  Returns State of digital bit
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel

===========================================================================
void portWrite ( uint8_t port_to_Write, uint8_t port_Byte )

Write a port. Call with port number: 0 = portA, 1 = portB, 2 = portC
and 8-bit data to be written. The corresponding Data Direction
bits must be set to "1" otherwise a "0" is always written in those positions.
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel

===========================================================================
uint8_t portRead ( uint8_t port_to_Read, uint8_t port_Byte )

Read a port. Call with port number: 0 = portA, 1 = portB, 2 = portC
Returns 8-bit port data
NOTE: DIO24-ARD hardware inverts the actual State of the digital channel





