/**********************************************************************
 * SCIDYNE Corporation  https://scidyne.com   
 * 
 * Demonstrate DIO24-ARD library routines bitSet() and bitClr() 
 *  
 * This program is Open-Source software. It is distributed  
 * WITHOUT ANY WARRANTY of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * You can redistribute and/or modify it under the terms of the MIT License. 
 * See the license.txt file for complete details and additional provisions.
 * 
 * Written by Mark Durgin  11/22/22  Version 1.0.0
 * 
 * Continuously toggle DIO24-ARD channel #4.
 **********************************************************************/

/***************************************************************
 * Instantiate the DIO24-ARD library
 */ 
#include <SCIDYNE_DIO24ARD.h>
SCIDYNE_DIO24ARD DIO24ARD;    

void setup()
{
  /**************************************************************  
   *  Setup the DIO24-ARD board and library
   *  - Arduino digital I/O #10 used as DIO24-ARD select on SPI bus
   *  - All DIO24-ARD channels configured as outputs
   */
  DIO24ARD.setup(10, 0xFF, 0xFF, 0xFF);  // pin#10, portA_DDR, portB_DDR, portC_DDR
}

void loop()
{
  /***************************************************************
   * Continuously toggle DIO24-ARD channel #4. All other
   * channels are unaffected.
   */
  delay(5);             // Wait 5mS
  DIO24ARD.setBit(4);   // This causes channel #4 to go low
  delay(5);             // wait 5mS
  DIO24ARD.clrBit(4);   // This causes channel #4 to go high

}
